Name:		rkward
Version:	0.6.1
Release:	%mkrel 2
Summary:	RKWard aims to provide an easily extensible, easy to use IDE/GUI for R-language
License:	GPLv2
Source0:	http://downloads.sourceforge.net/rkward/%{name}-%{version}.tar.gz
Url:		http://rkward.sourceforge.net
Group:		Sciences/Mathematics
BuildRequires:	R-base
BuildRequires:	kdelibs4-devel
Requires:	R-base
Requires:	kdelibs4-core
Requires:	katepart

%description
RKWard is meant to become an easy to use, transparent front-end to 
the R-language, a very powerful, yet hard-to-get-into scripting-language 
with a strong focus on statistic functions. It will not only provide a 
convenient user-interface, however, but also take care of seamless 
integration with an office-suite. Practical statistics is not just about 
calculating, after all, but also about documenting and ultimately 
publishing the results.

%prep
%setup -q

%build
%cmake_kde4
%make

%install
%makeinstall_std -C build
%find_lang %{name} %{name} rkwardplugins --with-html

sed -i 's/NumericalAnalysis/NumericalAnalysis;/g' %{buildroot}%{_kde_applicationsdir}/%{name}.desktop

%__rm -f %{buildroot}%{_kde_appsdir}/katepart/syntax/r.xml

%files -f %{name}.lang
%{_kde_bindir}/%{name}
%{_kde_iconsdir}/hicolor/*/*/%{name}.png
%{_kde_iconsdir}/hicolor/scalable/*/%{name}.svgz
%{_libdir}/R/library/%{name}/*
%{_libdir}/R/library/rkwardtests/*
%{_kde_appsdir}/%{name}/*
%{_kde_appsdir}/katepart/syntax/%{name}.xml
%{_kde_applicationsdir}/%{name}.desktop
%{_kde_libdir}/kde4/libexec/%{name}.*
%{_kde_mandir}/man1/%{name}.*


%changelog
* Sat Oct 19 2013 umeabot <umeabot> 0.6.1-2.mga4
+ Revision: 529064
- Mageia 4 Mass Rebuild

* Tue Jul 02 2013 dams <dams> 0.6.1-1.mga4
+ Revision: 449587
- fix .desktop
- new version 0.6.1

* Mon Jan 14 2013 umeabot <umeabot> 0.6.0-2.mga3
+ Revision: 380353
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Thu Nov 01 2012 fwang <fwang> 0.6.0-1.mga3
+ Revision: 311902
- new version 0.6.0

* Sat Jan 21 2012 malo <malo> 0.5.7-5.mga2
+ Revision: 199268
- Bump rel

* Mon Jan 16 2012 matteo <matteo> 0.5.7-4.mga2
+ Revision: 196997
- added katepart as required (mandatory)

* Mon Jan 16 2012 matteo <matteo> 0.5.7-3.mga2
+ Revision: 196876
- rebuild needed by the new R version

* Tue Oct 25 2011 matteo <matteo> 0.5.7-2.mga2
+ Revision: 157911
- spec file reviewed

* Mon Oct 24 2011 fwang <fwang> 0.5.7-1.mga2
+ Revision: 157652
- update file list
- update file list
- new version 0.5.7

* Sun Sep 18 2011 matteo <matteo> 0.5.6-3.mga2
+ Revision: 145076
- fixed some libdir macro
- fixed some kde macro; restored education category from desktop file

* Sun Sep 18 2011 matteo <matteo> 0.5.6-2.mga2
+ Revision: 144918
- fixed missing br
- spec file cleaned

* Mon Sep 05 2011 matteo <matteo> 0.5.6-1.mga2
+ Revision: 138885
- replaced some occurence of rkward with %%name macro
- changed paths into %%file section; replaced -C build/ with -C build
- fixed missing clean in install section; switched from cmake to cmake_kde4 macro
- fixed typo in Summary
- imported package rkward

